Name:           python-zombie-imp
Version:        0.0.3
Release:        %mkrel 1
Summary:        A copy of the `imp` module that was removed in Python 3.12
Group:          Development/Python
License:        Python-2.0.1
URL:            https://github.com/encukou/zombie-imp
Source:         %{pypi_source zombie_imp}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-testsuite

%description
A copy of the imp module that was removed in Python 3.12.
This is a compat package to ease transition to Python 3.12.
It shouldn't be used and packages using `imp` module
should use `importlib.metadata` instead.

%package -n python3-zombie-imp
Summary:        A copy of the `imp` module that was removed in Python 3.12
Group:          Development/Python
# This package is deprecated, no new packages in Fedora can depend on it
Provides:       deprecated()

%description -n python3-zombie-imp
A copy of the imp module that was removed in Python 3.12.
This is a compat package to ease transition to Python 3.12.
It shouldn't be used and packages using `imp` module
should use `importlib.metadata` instead.


%prep
%autosetup -p1 -n zombie_imp-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zombie_imp imp

%check
%tox

%files -n python3-zombie-imp -f %{pyproject_files}
%doc README.*


%changelog
* Sat Mar 22 2025 daviddavid <daviddavid> 0.0.3-1.mga10
+ Revision: 2168951
- new version: 0.0.3

* Sun Mar 02 2025 wally <wally> 0.0.2-3.mga10
+ Revision: 2156420
- rebuild for python3.13

* Sat Mar 01 2025 daviddavid <daviddavid> 0.0.2-2.mga10
+ Revision: 2154954
- rebuild for python 3.13

* Thu Dec 28 2023 daviddavid <daviddavid> 0.0.2-1.mga10
+ Revision: 2023077
- initial package python-zombie-imp

